unit OpenGLObject;

interface

type

  TGLObject = class
  private
    _enabled: Boolean;
  public
    procedure Draw; virtual; abstract;
    procedure SetEnabled(enabled: Boolean); virtual;
  published
    property enabled: Boolean read _enabled;
  end;

implementation

{ TGLObject }

procedure TGLObject.SetEnabled(enabled: Boolean);
begin
  self._enabled := enabled;
end;

end.
